Package net.paulhertz.pixelaudio.granular

# Class GestureGranularParams.Builder

java.lang.Object
net.paulhertz.pixelaudio.granular.GestureGranularParams.Builder

Enclosing class:
  GestureGranularParams

public static final class GestureGranularParams.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private boolean`
  `autoBurstGainComp`
  `private int`
  `burstGrains`
  `private ADSRParams`
  `env`
  `private float`
  `gainLinear`
  `private int`
  `grainLengthSamples`
  `private ddf.minim.analysis.WindowFunction`
  `grainWindow`
  `private int`
  `hopLengthSamples`
  `private GestureGranularParams.HopMode`
  `hopMode`
  `private boolean`
  `looping`
  `private float`
  `pan`
  `private float`
  `pitchRatio`
  `private int`
  `targetCount`
  `private float`
  `targetDurationMs`
  `private GestureGranularParams.TimeTransform`
  `timeTransform`
  `private float`
  `warpExponent`
  `private GestureGranularParams.WarpShape`
  `warpShape`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GestureGranularParams.Builder`
  `autoBurstGainComp(boolean v)`
  `GestureGranularParams`
  `build()`
  `GestureGranularParams.Builder`
  `burstGrains(int v)`
  `GestureGranularParams.Builder`
  `env(ADSRParams v)`
  `GestureGranularParams.Builder`
  `gainLinear(float v)`
  `GestureGranularParams.Builder`
  `grainLengthSamples(int v)`
  `GestureGranularParams.Builder`
  `grainWindow(ddf.minim.analysis.WindowFunction wf)`
  `GestureGranularParams.Builder`
  `hopLengthSamples(int v)`
  `GestureGranularParams.Builder`
  `hopMode(GestureGranularParams.HopMode v)`
  `GestureGranularParams.Builder`
  `looping(boolean v)`
  `GestureGranularParams.Builder`
  `pan(float v)`
  `GestureGranularParams.Builder`
  `pitchRatio(float v)`
  `GestureGranularParams.Builder`
  `targetCount(int v)`
  `GestureGranularParams.Builder`
  `targetDurationMs(float v)`
  `GestureGranularParams.Builder`
  `timeTransform(GestureGranularParams.TimeTransform v)`
  `GestureGranularParams.Builder`
  `warpExponent(float v)`
  `GestureGranularParams.Builder`
  `warpShape(GestureGranularParams.WarpShape v)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### grainLengthSamples

    private int grainLengthSamples

  - ### hopLengthSamples

    private int hopLengthSamples

  - ### burstGrains

    private int burstGrains

  - ### autoBurstGainComp

    private boolean autoBurstGainComp

  - ### gainLinear

    private float gainLinear

  - ### pan

    private float pan

  - ### pitchRatio

    private float pitchRatio

  - ### env

    private ADSRParams env

  - ### looping

    private boolean looping

  - ### hopMode

    private GestureGranularParams.HopMode hopMode

  - ### timeTransform

    private GestureGranularParams.TimeTransform timeTransform

  - ### targetCount

    private int targetCount

  - ### targetDurationMs

    private float targetDurationMs

  - ### warpShape

    private GestureGranularParams.WarpShape warpShape

  - ### warpExponent

    private float warpExponent

  - ### grainWindow

    private ddf.minim.analysis.WindowFunction grainWindow

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### grainLengthSamples

    public GestureGranularParams.Builder grainLengthSamples(int v)

  - ### hopLengthSamples

    public GestureGranularParams.Builder hopLengthSamples(int v)

  - ### burstGrains

    public GestureGranularParams.Builder burstGrains(int v)

  - ### autoBurstGainComp

    public GestureGranularParams.Builder autoBurstGainComp(boolean v)

  - ### gainLinear

    public GestureGranularParams.Builder gainLinear(float v)

  - ### pan

    public GestureGranularParams.Builder pan(float v)

  - ### pitchRatio

    public GestureGranularParams.Builder pitchRatio(float v)

  - ### env

    public GestureGranularParams.Builder env(ADSRParams v)

  - ### looping

    public GestureGranularParams.Builder looping(boolean v)

  - ### hopMode

    public GestureGranularParams.Builder hopMode(GestureGranularParams.HopMode v)

  - ### timeTransform

    public GestureGranularParams.Builder timeTransform(GestureGranularParams.TimeTransform v)

  - ### targetCount

    public GestureGranularParams.Builder targetCount(int v)

  - ### targetDurationMs

    public GestureGranularParams.Builder targetDurationMs(float v)

  - ### warpShape

    public GestureGranularParams.Builder warpShape(GestureGranularParams.WarpShape v)

  - ### warpExponent

    public GestureGranularParams.Builder warpExponent(float v)

  - ### grainWindow

    public GestureGranularParams.Builder grainWindow(ddf.minim.analysis.WindowFunction wf)

  - ### build

    public GestureGranularParams build()